Bug 4560 - Changing default ports with ManagedJobFactoryClientHelper
: Changing default ports with ManagedJobFactoryClientHelper
Status: RESOLVED FIXED
: Java WS Core
globus_wsrf_core
: 4.0.2
: PC Linux
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2006-06-29 21:35 by
Modified: 2006-10-04 17:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-06-29 21:35:18
ManagedJobFactoryClientHelper.getServiceURL(server).getURL() uses
ServiceHost.getDefaultPort(). The first call works fine. However, if a callback
container is started, ServiceHost.setDefaults() gets called, which sets a new
default port. The next call to
ManagedJobFactoryClientHelper.getServiceURL(server).getURL() will return the
callback container port.
------- Comment #1 From 2006-10-02 18:24:53 -------
There's nothing much GRAM can do about this. It seems to me that setting the
defaults dynamically is a bad idea. I'm reassigning this to Jarek since I'm not
sure what to do with it.
------- Comment #2 From 2006-10-04 15:51:32 -------
First, if the ManagedJobFactoryClientHelper API is only supposed to be used on
the client-side then I think it should not use ServiceHost API. But I will
change the container code not to set the host/port defaults if a container is
started on the client to handle notifications.
------- Comment #3 From 2006-10-04 17:35:34 -------
Committed fixes (as described before) to trunk and globus_4_0_branch.